Bug 425761 - Review Request: trac-doxygen - Integrates doxygen documentation into Trac
Review Request: trac-doxygen - Integrates doxygen documentation into Trac
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-14 21:58 EST by Sergio Pascual
Modified: 2007-12-18 11:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-18 11:52:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2007-12-14 21:58:55 EST
Spec URL: http://sergiopr.fedorapeople.org/trac-doxygen.spec
SRPM URL: http://sergiopr.fedorapeople.org/trac-doxygen-0.4-0.1.r2892.fc8.src.rpm
Description: The aim is to embed one or multiple doxygen-generated documentation(s) within Trac, in order to have consistent look and feel, and easy referencing to doxygen pages using the usual TracLinks and the doxygen: prefix.
Comment 1 Parag AN(पराग) 2007-12-17 01:38:40 EST
you don't need to use both commands 
%{__python} setup.py install --skip-build --root %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

I think good to use only
%{__python} setup.py install --skip-build --root  %{buildroot}
Comment 3 Parag AN(पराग) 2007-12-17 23:01:40 EST
dunno but Source in SRPM is having
d5f68fe526848858824cda84198b890f  doxygenplugin-r2892.tar.bz2
and according to instructions in SPEC when I checkout svn and built tarball I got
b3b4aeb9ffa0c920c5a143f035ac27c8  doxygenplugin-r2892.tar.bz2

and strange thing is diff is almost NIL.


Else,
 Packaging looks OK.
 rpmlint is silent.
 eggs files generated correctly.
Comment 4 Sergio Pascual 2007-12-18 04:08:02 EST
I'm getting a different md5sum every time I create the tarball. Probably the
creation time of the tarball and other information are stored in the tar file.
In this case, your tarball and mine are different, although the contents are same. 

If a diff of your svn export and my tarball is empty, I think it's enough
Comment 5 Parag AN(पराग) 2007-12-18 04:34:29 EST
APPROVED
Comment 6 Sergio Pascual 2007-12-18 04:47:29 EST
New Package CVS Request
=======================
Package Name: trac-doxygen
Short Description: Integrates doxygen documentation into Trac
Owners: sergiopr
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 7 Sergio Pascual 2007-12-18 04:57:54 EST
For consistency with other trac packages, I prefer to name it trac-doxygen-plugin 

New Package CVS Request
=======================
Package Name: trac-doxygen-plugin
Short Description: Integrates doxygen documentation into Trac
Owners: sergiopr
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes

Comment 8 Tom "spot" Callaway 2007-12-18 09:54:50 EST
cvs done (as trac-doxygen-plugin)

Note You need to log in before you can comment on or make changes to this bug.